<?php

## script by hellsing and ramzes ##
#    site:  http://ramzes.h2m.ru    #
### Можете вносить изменения в код скрипта. Но потом не нойте что не работает. ###
require_once"../template/start.php";
require_once"../template/regglobals.php";

$max_width = 160; 
$max_height =160;

$image_jpg="jpg/$image";
$image_gif="gif/$image";
$image_png="png/$image";
$image_bmp="bmp/$image";



if($act=="jpg"){
$size = GetImageSize($image_jpg); 
$width = $size[0]; 
$height = $size[1]; 

$x_ratio = $max_width / $width; 
$y_ratio = $max_height / $height; 

if ( ($width <= $max_width) && ($height <= $max_height) ) { 
  $tn_width = $width; 
  $tn_height = $height; 
} 
else if (($x_ratio * $height) < $max_height) { 
  $tn_height = ceil($x_ratio * $height); 
  $tn_width = $max_width; 
} 
else { 
  $tn_width = ceil($y_ratio * $width); 
  $tn_height = $max_height; 
} 

$src = ImageCreateFromJpeg($image_jpg); 
$dst = ImageCreateTrueColor($tn_width,$tn_height); 
ImageCopyResized($dst, $src, 0, 0, 0, 0, 
    $tn_width,$tn_height,$width,$height); 
header("Content-type: image/jpeg"); 
if($show=="full"){
ImageJpeg ($dst, null, 80);}else{ ImageJpeg ($dst, null, 40);}
ImageDestroy($src); 
ImageDestroy($dst); }	  
  	  
  	  
if($act=="gif"){
$size = GetImageSize($image_gif); 
$width = $size[0]; 
$height = $size[1]; 

$x_ratio = $max_width / $width; 
$y_ratio = $max_height / $height; 

if ( ($width <= $max_width) && ($height <= $max_height) ) { 
  $tn_width = $width; 
  $tn_height = $height; 
} 
else if (($x_ratio * $height) < $max_height) { 
  $tn_height = ceil($x_ratio * $height); 
  $tn_width = $max_width; 
} 
else { 
  $tn_width = ceil($y_ratio * $width); 
  $tn_height = $max_height; 
} 

$src = ImageCreateFromGif($image_gif); 
$dst = ImageCreateTrueColor($tn_width,$tn_height); 
ImageCopyResized($dst, $src, 0, 0, 0, 0, 
    $tn_width,$tn_height,$width,$height); 
header("Content-type: image/gif"); 
ImageGif ($dst); 
ImageDestroy($src); 
ImageDestroy($dst); }	  	  
  	  
 if($act=="png"){
$size = GetImageSize($image_png); 
$width = $size[0]; 
$height = $size[1]; 

$x_ratio = $max_width / $width; 
$y_ratio = $max_height / $height; 

if ( ($width <= $max_width) && ($height <= $max_height) ) { 
  $tn_width = $width; 
  $tn_height = $height; 
} 
else if (($x_ratio * $height) < $max_height) { 
  $tn_height = ceil($x_ratio * $height); 
  $tn_width = $max_width; 
} 
else { 
  $tn_width = ceil($y_ratio * $width); 
  $tn_height = $max_height; 
} 

$src = ImageCreateFromPng($image_png); 
$dst = ImageCreateTrueColor($tn_width,$tn_height); 
ImageCopyResized($dst, $src, 0, 0, 0, 0, 
    $tn_width,$tn_height,$width,$height); 
header("Content-type: image/png"); 
ImagePng ($dst); 
ImageDestroy($src); 
ImageDestroy($dst); } 	  

 if($act=="bmp"){
$size = GetImageSize($image_bmp); 
$width = $size[0]; 
$height = $size[1]; 

$x_ratio = $max_width / $width; 
$y_ratio = $max_height / $height; 

if ( ($width <= $max_width) && ($height <= $max_height) ) { 
  $tn_width = $width; 
  $tn_height = $height; 
} 
else if (($x_ratio * $height) < $max_height) { 
  $tn_height = ceil($x_ratio * $height); 
  $tn_width = $max_width; 
} 
else { 
  $tn_width = ceil($y_ratio * $width); 
  $tn_height = $max_height; 
} 

$src = ImageCreateFromPng($image_bmp); 
$dst = ImageCreateTrueColor($tn_width,$tn_height); 
ImageCopyResized($dst, $src, 0, 0, 0, 0, 
    $tn_width,$tn_height,$width,$height); 
header("Content-type: image/png"); 
ImagePng ($dst); 
ImageDestroy($src); 
ImageDestroy($dst); } 
  	  
  	  ?>